<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.1.0.1
| Author: Piterus
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."suntime_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."suntime_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."suntime_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."suntime_panel/locale/Polish-utf8.php";
}

// Infusion general information
$inf_title = $locale['stp_title'];
$inf_description = $locale['stp_desc'];
$inf_version = "1.1.9.5";
$inf_developer = "Piterus";
$inf_email = "piterus@piterus.na11.pl";
$inf_weburl = "http://piterus.na11.pl";

$inf_folder = "suntime_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_SUNTIME_PANEL." (
szerokosc_stopnie DOUBLE DEFAULT '51' NOT NULL,
szerokosc_minuty DOUBLE DEFAULT '14' NOT NULL,
dlugosc_stopnie DOUBLE DEFAULT '24' NOT NULL,
dlugosc_minuty DOUBLE DEFAULT '01' NOT NULL,
szerokosc_kier CHAR DEFAULT 'N' NOT NULL,
dlugosc_kier CHAR DEFAULT 'E' NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_SUNTIME_PANEL." (szerokosc_stopnie, szerokosc_minuty, dlugosc_stopnie, dlugosc_minuty, szerokosc_kier, dlugosc_kier) VALUES('51', '14', '24', '01', 'N', 'E')";

$inf_droptable[1] = DB_SUNTIME_PANEL;

$inf_altertable[1] = DB_SUNTIME_PANEL." ADD suntime_panel_1";

$inf_deldbrow[1] = "suntime_panel_1";


$inf_newtable[2] = DB_SUNTIME_SETINGS." (
ren_date CHAR(3) DEFAULT 'on' NOT NULL,
ren_imieniny CHAR(3) DEFAULT 'off' NOT NULL,
ren_obchody CHAR(3) DEFAULT 'off' NOT NULL,
ren_slonce CHAR(3) DEFAULT 'on' NOT NULL,
ren_dlugosc_dnia CHAR(3) DEFAULT 'on' NOT NULL,
ren_stan CHAR(3) DEFAULT 'on' NOT NULL,
ren_wspolrzedne CHAR(3) DEFAULT 'off' NOT NULL,
ren_grafika CHAR(3) DEFAULT 'off' NOT NULL,
ren_kodowanie CHAR(5) DEFAULT 'ISO' NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[2] = DB_SUNTIME_SETINGS." (ren_date, ren_imieniny, ren_obchody, ren_slonce, ren_dlugosc_dnia, ren_stan, ren_wspolrzedne, ren_grafika, ren_kodowanie) VALUES('on', 'off', 'off', 'on', 'on', 'on', 'off', 'off', 'ISO')";

$inf_droptable[2] = DB_SUNTIME_SETINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['stp_admin1'],
	"image" => "stp.gif",
	"panel" => "suntime_panel_admin.php",
	"rights" => "PSTP"
);

?>