<?php

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."suntime_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."suntime_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."suntime_panel/locale/Polish-utf8.php";
}
include (INFUSIONS."suntime_panel/includes/engine.php");
/*include (PANELS."suntime_panel/sundate.inc");
*/
$setings = dbquery("SELECT * FROM ".DB_SUNTIME_SETINGS);
$rendering = dbarray($setings);

function render_data($on) {
global $locale;
if ($on == "on"){
echo "<img src='".THEME."images/bullet.gif' alt='' /> ".$locale['stp_009']."<br />";
echo "<div style=\"font-weight:bold\" id='Clock'></div><script type='text/javascript'>
		<!--
		var DayNam = new Array(
		'".$locale['stp_021']."','".$locale['stp_015']."','".$locale['stp_016']."','".$locale['stp_017']."','".$locale['stp_018']."','".$locale['stp_019']."','".$locale['stp_020']."');
		var MnthNam = new Array(
		'".$locale['stp_022']."','".$locale['stp_023']."','".$locale['stp_024']."','".$locale['stp_025']."','".$locale['stp_026']."','".$locale['stp_027']."','".$locale['stp_028']."','".$locale['stp_029']."','".$locale['stp_030']."','".$locale['stp_031']."','".$locale['stp_032']."','".$locale['stp_033']."');
		//-->
		</script>";
	echo "<script type='text/javascript' src='".INFUSIONS."suntime_panel/js/clock.js'></script>";
}
}

function render_imieniny($on) {
global $locale;
if ($on == "on"){
echo "<br />".$locale['stp_040']."<br />";	
echo "<b>";
include (INFUSIONS."suntime_panel/includes/imieniny.php");
echo "</b>";
echo "<br />";
}
}	
/*
function render_obchody($on) {
global $locale;
if ($on == "on"){
echo "<br />".$locale['stp_041']."<br />";	
echo "<b>";
include (INFUSIONS."suntime_panel/includes/obchody.php");
echo "</b>";
echo "<br />";
}
}	
*/

function render_obchody($on) {
global $locale;
if ($on == "on"){
	include (INFUSIONS."suntime_panel/includes/obchody.php");
	if ($obchody_wyswietl != "
") {
		echo "<br />".$locale['stp_041']."<br />";	
		echo "<b>".$obchody_wyswietl;
		echo "</b>";
	echo "<br />";
	}
}
}	

function render_slonce($on, $grafika) {
global $locale, $date_r, $date_s;
if ($on == "on"){
	echo "<br />";
	if ($grafika == "on") 
	{
		echo "<img src='".INFUSIONS."suntime_panel/images/sunrise.png' alt='".$locale['stp_002']."' />";
	}
	else
	{
		echo "<img src='".THEME."images/bullet.gif' alt='' /> ".$locale['stp_002']." ";
	}

echo "<b>".$date_r."</b><br />";

if ($grafika == "on") 
	{
		echo "<img src='".INFUSIONS."suntime_panel/images/sunset.png' alt='".$locale['stp_003']."' />";
	}
	else
	{
		echo "<img src='".THEME."images/bullet.gif' alt='' /> ".$locale['stp_003']." ";
	}
echo "<b>".$date_s."</b><br /><br />";
}
}

function render_dlugosc_dnia($on){
global $locale, $SunTimeH, $SunTimeM;
if ($on == "on"){
echo "<img src='".THEME."images/bullet.gif' alt='' /> ".$locale['stp_006']."<br /><b>".$SunTimeH."</b>".$locale['stp_007']."<b>".$SunTimeM."</b>".$locale['stp_008']."<br />";
}
}

function render_stan_dnia($on) {
global $locale, $stss, $stll;
if ($on == "on"){
	if ((date("n") >6 AND date("j") > 21) && (date("j") < 22 && date("n") < 12 ))
	{
	  echo $locale['stp_010'].$stss;
	}
	elseif ((date("n")==6) AND (date("j")==21))
	{
	  echo $locale['stp_012'];	
	}
	elseif ((date("n")==12) AND (date("j")==22))
	{
	  echo $locale['stp_013'];	
	}
	else
	{
		echo $locale['stp_011'].$stll;
	}	
echo "<br />";
}	

}

function render_lokalizacja($on){
global $locale,$latitude,$longitude;
if ($on == "on"){
echo '<br />'.$locale['stp_004'].$latitude.'<br />'.$locale['stp_005'].$longitude;
}
}



//Wyswiettlanie panelu
openside($locale['stp_001']);

$ren_date=$rendering['ren_date'];
render_data($ren_date);

$ren_imieniny=$rendering['ren_imieniny'];
render_imieniny($ren_imieniny);

$ren_obchody=$rendering['ren_obchody'];
render_obchody($ren_obchody);

$ren_slonce=$rendering['ren_slonce'];
$ren_grafika=$rendering['ren_grafika'];
render_slonce($ren_slonce , $ren_grafika );

$ren_dlugosc_dnia=$rendering['ren_dlugosc_dnia'];
render_dlugosc_dnia($ren_dlugosc_dnia );

$ren_stan=$rendering['ren_stan'];
render_stan_dnia($ren_stan );

$ren_wspolrzedne=$rendering['ren_wspolrzedne'];
render_lokalizacja($ren_wspolrzedne );
closeside();



?>