<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: suntime_panel_admin.php
| CVS Version: 1.1.0.1
| Author: Piterus
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";


if (!checkrights("PSTP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."suntime_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."suntime_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."suntime_panel/locale/Polish-utf8.php";
}
include INFUSIONS."suntime_panel/infusion_db.php";

$set_result = dbquery("SELECT * FROM ".DB_SUNTIME_PANEL);
$lolalization = dbarray($set_result);

$setings = dbquery("SELECT * FROM ".DB_SUNTIME_SETINGS);
$rendering = dbarray($setings);


//pobranie danych strony
if (!$_GET['page']){ 
redirect (FUSION_SELF.$aidlink."&amp;page=1");
}else{	
	if ($_GET['page'] != ''){
		if  ($_GET['page'] == 1){$page = 1;}
		elseif ($_GET['page'] == 2){$page = 2;}
		elseif ($_GET['page'] == 3){$page = 3;}
		else {redirect (FUSION_SELF.$aidlink."&amp;page=1");}
	} else {redirect (FUSION_SELF.$aidlink."&amp;page=1");}
}

//Nawigacja wtyczki	
$nawi_width ='10%';
$nawi = "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'><tr>
<td width='".$nawi_width."' class='".($page==1?"tbl2":"tbl1")."' align='center'>".($page==1?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=1'>".$locale['stp_900']."</a>".($page==1?"</strong>":"")."</td>
<td width='".$nawi_width."' class='".($page==2?"tbl2":"tbl1")."' align='center'>".($page==2?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=2'>".$locale['stp_901']."</a>".($page==2?"</strong>":"")."</td>
<td width='".$nawi_width."' class='".($page==3?"tbl2":"tbl1")."' align='center'>".($page==3?"<strong>":"")."<a href='".FUSION_SELF.$aidlink."&amp;page=3'>".$locale['stp_902']."</a>".($page==3?"</strong>":"")."</td>
</tr></table><br />";


opentable($locale['stp_200']);

//pobranie danych lokalizacji
if (isset($_POST['save'])) {

	$dlugosc_stopnie_1 = $_POST['dlugosc_stopnie'];
	$dlugosc_minuty_1 = $_POST['dlugosc_minuty'];
	$szerokosc_stopnie_1 = $_POST['szerokosc_stopnie'];
	$szerokosc_minuty_1 = $_POST['szerokosc_minuty'];
	$szerokosc_kier = $_POST['szerokosc_kier'];
	$dlugosc_kier = $_POST['dlugosc_kier'];
	
	if (($dlugosc_stopnie_1 > 179)||($dlugosc_stopnie_1 < 0))
		{$dlugosc_stopnie = 0;}
	else 
		{$dlugosc_stopnie = $dlugosc_stopnie_1;}
	
	if (($dlugosc_minuty_1 > 59)||($dlugosc_minuty_1 < 0))
		{$dlugosc_minuty = 0;}
	else 
		{$dlugosc_minuty = $dlugosc_minuty_1;}
	
	if (($szerokosc_stopnie_1 > 90)||($szerokosc_stopnie_1 < 0))
		{$szerokosc_stopnie = 0;}
	else 
		{$szerokosc_stopnie = $szerokosc_stopnie_1;}
	
	if (($szerokosc_minuty_1 > 59)||($szerokosc_minuty_1 < 0))
		{$szerokosc_minuty = 0;}
	else 
		{$szerokosc_minuty = $szerokosc_minuty_1;}
	
	$result = dbquery("UPDATE ".DB_SUNTIME_PANEL." SET szerokosc_stopnie='$szerokosc_stopnie', szerokosc_minuty='$szerokosc_minuty', dlugosc_stopnie='$dlugosc_stopnie', dlugosc_minuty='$dlugosc_minuty', szerokosc_kier='$szerokosc_kier', dlugosc_kier='$dlugosc_kier'");
	
	redirect (FUSION_SELF.$aidlink."&page=1");
}
elseif (isset($_POST['save_setings'])) {

	$ren_date = $_POST['render_data'];
	$ren_imieniny = $_POST['render_imieniny'];
	$ren_obchody = $_POST['render_obchody'];
	$ren_slonce = $_POST['render_slonce'];
	$ren_dlugosc_dnia = $_POST['render_dlugosc_dnia'];
	$ren_stan = $_POST['render_stan_dnia'];
	$ren_wspolrzedne = $_POST['render_lokalizacja'];
	
	
	$result = dbquery("UPDATE ".DB_SUNTIME_SETINGS." SET ren_date='$ren_date', ren_imieniny='$ren_imieniny', ren_obchody='$ren_obchody', ren_slonce='$ren_slonce', ren_dlugosc_dnia='$ren_dlugosc_dnia', ren_stan='$ren_stan', ren_wspolrzedne='$ren_wspolrzedne'");
	
	redirect (FUSION_SELF.$aidlink."&page=2");
	
} else {

if ($lolalization['szerokosc_kier']== 'N')
	{ $szerokosc_kier_opitons = "<option selected=\"selected\">N</option>
    <option>S</option>";}
else {$szerokosc_kier_opitons ="<option>N</option>
    <option selected=\"selected\">S</option>";}

if ($lolalization['dlugosc_kier']== 'E')
	{ $dlugosc_kier_opitons ="<option selected=\"selected\">E</option>
    <option>W</option>";}
else {$dlugosc_kier_opitons ="<option>E</option>
    <option selected=\"selected\">W</option>";}
}
//wybor wiejscowosci
$miejscowosci_world="<option>".$locale['stp_201']."</option>";
$miejscowosci_polska="<option>".$locale['stp_201']."</option>";


//pobranie wersji
function wersja() {
global $locale;
$ver_result = dbquery("SELECT inf_version FROM ".DB_SUNTIME_INFUSION." WHERE inf_title='Sun Time Panel'");
$inf_ver = dbarray($ver_result);
echo "<table width='100%' border='0'><tr><td align='right' class='tbl2'>";
echo "<a href='http://piterus.na11.pl/forum/viewthread.php?thread_id=4' target='_blank'>Sun Time Panel v.&nbsp;".$inf_ver['inf_version']."</a>";
echo "</td></tr></table>";
}

//Ustawienia lokalizacji
if ($page == 1){

echo $nawi;
echo'<table width="100%" border="0">
	<tr><td>'.$locale['stp_201'].'<br /><br />
	
		<form action="'.FUSION_SELF.$aidlink.'" method="post">';
		//'.$locale['stp_202'].' <select name="dlugosc_kier" style="font-size: 10px;  height: 16px; border-style: none">'.$miejscowosci.'</select>
		
		echo '
		<br /><input type="checkbox" name="nazwa" value="wartosc" onclick="document.getElementById(\'world\').style.display = this.checked ? \'block\' : \'none\'; this.form.elements[\'nazwa2\'].disabled = this.form.elements[\'nazwa3\'].disabled = !this.checked" />'.$locale['stp_208'].'
<div id="world" style="display: none"><hr /><br />
	'.$locale['stp_202'].' <select name="select_world" style="font-size: 10px;  height: 16px; border-style: none">'.$miejscowosci_world.'</select>
</div>';
		echo '
		<br /><input type="checkbox" name="nazwa" value="wartosc" onclick="document.getElementById(\'polska\').style.display = this.checked ? \'block\' : \'none\'; this.form.elements[\'nazwa2\'].disabled = this.form.elements[\'nazwa3\'].disabled = !this.checked" />'.$locale['stp_209'].'
<div id="polska" style="display: none"><hr /><br />
	'.$locale['stp_202'].' <select name="select_polska" style="font-size: 10px;  height: 16px; border-style: none">'.$miejscowosci_polska.'</select>
</div>';
		
		echo '
		<br /><input type="checkbox" name="nazwa" value="wartosc" onclick="document.getElementById(\'manual\').style.display = this.checked ? \'block\' : \'none\'; this.form.elements[\'nazwa2\'].disabled = this.form.elements[\'nazwa3\'].disabled = !this.checked" />'.$locale['stp_210'].'
<div id="manual" style="display: none">
	
<hr /><br />
'.$locale['stp_201a'].'<br /><br />
		'.$locale['stp_204'].'
		<input type="text" name="dlugosc_stopnie" value="'.$lolalization['dlugosc_stopnie'].'" maxlength="3" style="font-size: 10px; width: 23px; height: 16px; border-style: none"/>&nbsp;&deg;&nbsp;<input type="text" name="dlugosc_minuty" value="'.$lolalization['dlugosc_minuty'].'" maxlength="2"style="font-size: 10px; width: 18px; height: 16px; border-style: none"/>&nbsp;&prime;&nbsp;<select name="dlugosc_kier" style="font-size: 10px; width: 30px; height: 16px; border-style: none">'.$dlugosc_kier_opitons.'</select>
		<br /><br />'.$locale['stp_203'].' <input type="text" name="szerokosc_stopnie" value="'.$lolalization['szerokosc_stopnie'].'" maxlength="2" style="font-size: 10px; width: 18px; height: 16px; border-style: none" />&nbsp;&deg;&nbsp;<input type="text" name="szerokosc_minuty" value="'.$lolalization['szerokosc_minuty'].'" maxlength="2" style="font-size: 10px; width: 18px; height: 16px; border-style: none"/>&nbsp;&prime;&nbsp;<select name="szerokosc_kier" style="font-size: 10px; width: 30px; height: 16px; border-style: none">'.$szerokosc_kier_opitons.'</select>  
		
		<br /><br />'.$locale['stp_206'].'
		<br />'.$locale['stp_207'].'
		</div>
		<br /><br /><input type="submit" name="save" value="'.$locale['stp_205'].'" /><br /><br />
		</form>

	
	</td></tr></table>
';
wersja();
}

// ustawienia wygladu
else if ($page == 2){
echo $nawi;


echo'<table width="100%" border="0">
	<tr><td>
	'.$locale['stp_300'].'<hr />
	'.$locale['stp_301'].'<br />
	<form name="save_setings" action="'.FUSION_SELF.$aidlink.'" method="post">
		<label><input type="checkbox" name="render_data"';	
		if ($rendering['ren_date']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_302'].'</label><br />
		<label><input type="checkbox" name="render_imieniny" ';	
		if ($rendering['ren_imieniny']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_303'].'</label><br />
		<label><input type="checkbox" name="render_obchody" ';	
		if ($rendering['ren_obchody']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_310'].'</label><br />
		<label><input type="checkbox" name="render_slonce" ';	
		if ($rendering['ren_slonce']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_304'].'</label><br />
		<label><input type="checkbox" name="render_dlugosc_dnia" ';	
		if ($rendering['ren_dlugosc_dnia']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_305'].'</label><br />
		<label><input type="checkbox" name="render_stan_dnia" ';	
		if ($rendering['ren_stan']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_306'].'</label><br />
		<label><input type="checkbox" name="render_lokalizacja" ';	
		if ($rendering['ren_wspolrzedne']==1){echo 'checked="checked" ';}
		echo 'value="1" />'.$locale['stp_307'].'</label><br />';
		
		/*echo '
		<input type="checkbox" disabled="disabled" name="nazwa" value="wartosc" onclick="document.getElementById(\'identyfikator\').style.display = this.checked ? \'block\' : \'none\'; this.form.elements[\'nazwa2\'].disabled = this.form.elements[\'nazwa3\'].disabled = !this.checked" />'.$locale['stp_308'].'
<div id="identyfikator" style="display: none">
	<input type="text" name="nazwa2" disabled="disabled" />
	<input type="text" name="nazwa3" disabled="disabled" />
</div>';*/
		
		echo '
		<br .><input type="submit" name="save_setings" value="'.$locale['stp_205'].'" /><br /><br />
	</form>
	
	</td></tr>
	</table>
';
wersja();
}

//ustawienia dodatkow
else if ($page == 3){
echo $nawi;
echo'<table width="100%" border="0">
	<tr><td>
	'.$locale['stp_400'].'
	</td></tr>
	
	<tr><td align="right" class="tbl2">';
	
	echo'</td></tr>
	</table>
';
wersja();
}

closetable();
require_once THEMES."templates/footer.php";
?>